"""
@author: luojunhui
"""
import time
import json
from aliyun.log import LogClient, PutLogsRequest, LogItem


def log(
        code,
        env="prod",
        trace_id=None,
        route=None,
        message=None,
        data=None
):
    """
    :return:
    """
    if data is None:
        data = {}
    accessKeyId = "LTAIP6x1l3DXfSxm"
    accessKey = "KbTaM9ars4OX3PMS6Xm7rtxGr1FLon"
    project = "changwen-alg"
    log_store = "touliu_server"
    endpoint = "cn-hangzhou.log.aliyuncs.com"

    # 创建 LogClient 实例
    client = LogClient(endpoint, accessKeyId, accessKey)
    log_group = []
    log_item = LogItem()
    contents = [
        (f"env", str(env)),
        (f"code", str(code)),
        (f"route", str(route)),
        (f"message", str(message)),
        (f"data", json.dumps(data, ensure_ascii=False) if data else ""),
        (f"trace_id", str(trace_id)),
        ("timestamp", str(int(time.time()))),
    ]

    log_item.set_contents(contents)
    log_group.append(log_item)
    # 写入日志
    request = PutLogsRequest(
        project=project,
        logstore=log_store,
        topic="",
        source="",
        logitems=log_group,
        compress=False,
    )
    try:
        client.put_logs(request)
    except Exception as e:
        print("日志失败")
        print(e)
