"""
@author: luojunhui
投流--路由
"""
from quart import Blueprint, jsonify, request

from config import env

TL_blueprint = Blueprint("TouLiu", __name__)


def Routes(db_client):
    """
    路由代码
    :param db_client: 异步db连接池
    :return:
    """

    @TL_blueprint.route("/hello")
    def helloWorld():
        """
        :return: Hello World
        """
        return jsonify({"message": "Hello World!"})

    @TL_blueprint.route("/generateInfo", methods=['POST'])
    async def generateInfo():
        """
        生成一些需要用到到信息
        :return:
        """
        return jsonify({"message": "this function is developing"})

    return TL_blueprint

